Datafeed configuration
curl --request GET \
--url https://atlas-api.skylit.ai/v1/config \
--header 'Authorization: Bearer <token>'import requests
url = "https://atlas-api.skylit.ai/v1/config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://atlas-api.skylit.ai/v1/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"supports_search": true,
"supports_group_request": false,
"supports_marks": false,
"supports_timescale_marks": false,
"supports_time": true,
"supported_resolutions": [
"1",
"2",
"3",
"5",
"15",
"30",
"60",
"240",
"480",
"D",
"W"
],
"intraday_multipliers": [
"1",
"60"
],
"exchanges": [
{
"value": "NASDAQ",
"name": "NASDAQ",
"desc": "NASDAQ"
},
{
"value": "NYSE",
"name": "NYSE",
"desc": "NYSE"
},
{
"value": "ARCA",
"name": "NYSE ARCA",
"desc": "NYSE ARCA"
}
],
"symbols_types": [
{
"name": "stock",
"value": "stock"
},
{
"name": "etf",
"value": "etf"
},
{
"name": "index",
"value": "index"
}
]
}{
"error": {
"code": "insufficient_credits",
"message": "<string>"
}
}Meta
Datafeed configuration
The static UDF DatafeedConfiguration — supported resolutions,
exchanges, symbol types, and feature flags. Free.
GET
/
v1
/
config
Datafeed configuration
Authorizations
Skylit API key in the Authorization header
(Authorization: Bearer <key>). X-API-Key is also accepted. The same
key works across Atlas, Heatseeker, and Flowseeker.
Response
Datafeed configuration.
Was this page helpful?
⌘I

